Bug 47073 - bugzilla gets confused by bugs with initally empty descriptions
bugzilla gets confused by bugs with initally empty descriptions
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
i386 Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-02 20:13 EDT by Jeremy Katz
Modified: 2013-06-23 23:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-28 16:16:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2001-07-02 20:13:23 EDT
bugzilla gets a bit confused as to who added what comments to a bug if a
bug is initially entered with a blank description.  quite easy to reproduce
-- file a bug with a blank description field, then edit the bug to add a
comment and watch as the comment shows up as being given by the person
filing the bug.  example is bug 47002
Comment 1 David Lawrence 2001-07-04 23:15:02 EDT
Each comment is stored in a separate row in the database. Bugzilla assumes the
very first comment (date wise) is the one made by the reporter. If the reporter
does not enter anything then the next comment gets pushed up to the top even if
it was made by someone else. The proper way to fix this problem I think is to
just make it mandatory that a description is entered. I thought this was the
case but now I am not so sure. I will look through the code and make the
necessary changes.
Comment 2 David Lawrence 2006-04-08 13:48:10 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 3 David Lawrence 2008-08-28 16:16:44 EDT
Bugzilla 3.2 does not shift the the next comment up if the description is empty. So closing this as currentrelease.

Note You need to log in before you can comment on or make changes to this bug.